Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tesl
Class Implication<M extends java.lang.Comparable<? super M>,S extends java.lang.Comparable<? super S>>

    java.lang.Object
      tesl.ImplicationRelation
          tesl.Implication<M,S>

    public class Implication<M extends java.lang.Comparable<? super M>,S extends java.lang.Comparable<? super S>>

extends ImplicationRelation

A clock relation which creates a tick on the slave (super) clock each time there is a tick on the master (sub) clock.

Nested Class Summary
`private class` | `Implication.ImplicationBackup`

Field Summary

Fields inherited from class tesl.ImplicationRelation
`applied_now_`

Constructor Summary
`Implication(Clock<M> master, Clock<S> slave)` Constructor

Method Summary
`ImplicationBackupInterface` | `backup()`
`Clock<M>` | `getMasterClock()` Return the master clock for the subClock constraint
`boolean` | `induceTicks()`
`void` | `restore(ImplicationBackupInterface bck)`
`java.lang.String` | `toString()`

Methods inherited from class tesl.ImplicationRelation
`apply, getMasterClocks, getSlaveClock, startSolving`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Implication

    public Implication(Clock<M> master,
                       Clock<S> slave)

  Constructor

  Parameters:
    `master` - (sub clock)
    `slave` -

Method Detail

### getMasterClock

    public Clock<M> getMasterClock()

  Return the master clock for the subClock constraint

### induceTicks

    public boolean induceTicks()

  Specified by:
    `induceTicks` in class `ImplicationRelation`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ImplicationRelation`

### backup

    public ImplicationBackupInterface backup()

  Specified by:
    `backup` in class `ImplicationRelation`

### restore

    public void restore(ImplicationBackupInterface bck)

  Specified by:
    `restore` in class `ImplicationRelation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD